#include <formatio.h>
#include <utility.h>
#include <ansi_c.h>
#include "GetDistance.h"
#include "MainPanel.h"
#include "LaserPanel.h"
#include "OptionsPanel.h"
#include "Globals.h"
#include "iniFromPanels.h"
#include "USBitBang.h"
#include "LL_3D_Scanner.h"


int 		MainPanel, MenuBar, LaserPanel, OptionsPanel;


int CVICALLBACK MainP_CB (int panel, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_CLOSE)	//this function quits the program by pressing the cross on the window
        QuitUserInterface (0);
    return 0;
}

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0) return -1;					// out of memory
	
	if ((MainPanel    = LoadPanel (0, "MainPanel.uir",       MainP))  < 0) return -1;
	  MenuBar = GetPanelMenuBar (MainPanel);
    if ((LaserPanel   = LoadPanel (0, "LaserPanel.uir",     LaserP)) < 0) return -1;
	if ((OptionsPanel = LoadPanel (0, "OptionsPanel.uir", OptionsP)) < 0) return -1;

	if (open_USB_BitBang('A')) return 0;
	else SetCtrlVal(MainPanel, MainP_Message, "\nUSB port A open!");	// if USB can't be opened quite the program
	
	iniFromPanels();
	
	DisplayPanel (MainPanel);
	SetCtrlVal(MainPanel, MainP_Message, "\nHello User! 3D Laser Scanner version 1.02");

	Fmt(directoryPath, "C:\\schrott");											// ini default data path
	
	RunUserInterface();
	
	Motor(STOPP);		// make sure motor is stopped before exiting program!
	close_USB('A');

	DiscardPanel (MainPanel);
}

